/*!
 * Platform.js v1.2.0 <http://mths.be/platform>
 * Copyright 2010-2014 John-David Dalton <http://allyoucanleet.com/>
 * Available under MIT license <http://mths.be/mit>
 */
(function(){"use strict";function h(e){e=String(e);return e.charAt(0).toUpperCase()+e.slice(1)}function p(e,t,n){var r={6.3:"8.1",6.2:"8",6.1:"Server 2008 R2 / 7","6.0":"Server 2008 / Vista",5.2:"Server 2003 / XP 64-bit",5.1:"XP",5.01:"2000 SP1","5.0":"2000","4.0":"NT","4.90":"ME"};if(t&&n&&/^Win/i.test(e)&&(r=r[0,/[\d.]+$/.exec(e)])){e="Windows "+r}e=String(e);if(t&&n){e=e.replace(RegExp(t,"i"),n)}e=v(e.replace(/ ce$/i," CE").replace(/(\b)hpw/i,"$1web").replace(/(\b)Macintosh(\b)/,"$1Mac OS$2").replace(/_PowerPC(\b)/i," OS$1").replace(/(\bOS X) [^ \d]+/i,"$1").replace(/(\b)Mac (OS X\b)/,"$1$2").replace(/\/(\d)/," $1").replace(/_/g,".").replace(/(?: BePC|[ .]*fc[ \d.]+)$/i,"").replace(/(\b)x86\.64(\b)/gi,"$1x86_64$2").replace(/(\bWindows Phone)(?! OS\b)/,"$1 OS").split(" on ")[0]);return e}function d(e,t){var n=-1,r=e?e.length:0;if(typeof r=="number"&&r>-1&&r<=o){while(++n<r){t(e[n],n,e)}}else{m(e,t)}}function v(e){e=E(e);return/^(?:webOS|i(?:OS|P))/.test(e)?e:h(e)}function m(e,t){for(var n in e){if(l.call(e,n)){t(e[n],n,e)}}}function g(e){return e==null?h(e):c.call(e).slice(8,-1)}function y(e,t){var n=e!=null?typeof e[t]:"number";return!/^(?:boolean|number|string|undefined)$/.test(n)&&(n=="object"?!!e[t]:true)}function b(e){return String(e).replace(/([ -])(?!$)/g,"$1?")}function w(e,t){var n=null;d(e,function(r,i){n=t(n,r,i,e)});return n}function E(e){return String(e).replace(/^ +| +$/g,"")}function S(e){function X(t){return w(t,function(t,n){return t||RegExp("\\b"+(n.pattern||b(n))+"\\b","i").exec(e)&&(n.label||n)})}function V(t){return w(t,function(t,n,r){return t||(n[U]||n[0,/^[a-z]+(?: +[a-z]+\b)*/i.exec(U)]||RegExp("\\b"+b(r)+"(?:\\b|\\w*\\d)","i").exec(e))&&r})}function $(t){return w(t,function(t,n){return t||RegExp("\\b"+(n.pattern||b(n))+"\\b","i").exec(e)&&(n.label||n)})}function J(t){return w(t,function(t,n){var r=n.pattern||b(n);if(!t&&(t=RegExp("\\b"+r+"(?:/[\\d.]+|[ \\w.]*)","i").exec(e))){t=p(t,r,n.label||n)}return t})}function K(t){return w(t,function(t,n){var r=n.pattern||b(n);if(!t&&(t=RegExp("\\b"+r+" *\\d+[.\\w_]*","i").exec(e)||RegExp("\\b"+r+"(?:; *(?:[a-z]+[_-])?[a-z]+\\d+|[^ ();-]*)","i").exec(e))){if((t=String(n.label&&!RegExp(r,"i").test(n.label)?n.label:t).split("/"))[1]&&!/[\d.]+/.test(t[0])){t[0]+=" "+t[1]}n=n.label||n;t=v(t[0].replace(RegExp(r,"i"),n).replace(RegExp("; *(?:"+n+"[_-])?","i")," ").replace(RegExp("("+n+")[-_.]?(\\w)","i"),"$1 $2"))}return t})}function Q(t){return w(t,function(t,n){return t||(RegExp(n+"(?:-[\\d.]+/|(?: for [\\w-]+)?[ /-])([\\d.]+[^ ();/_-]*)","i").exec(e)||0)[1]||null})}function G(){return this.description||""}var r=t;var i=e&&typeof e=="object"&&g(e)!="String";if(i){r=e;e=null}var s=r.navigator||{};var o=s.userAgent||"";e||(e=o);var f=i||a==n;var l=i?!!s.likeChrome:/\bChrome\b/.test(e)&&!/internal|\n/i.test(c.toString());var h="Object",d=i?h:"ScriptBridgingProxyObject",x=i?h:"Environment",T=i&&r.java?"JavaPackage":g(r.java),N=i?h:"RuntimeObject";var C=/\bJava/.test(T)&&r.java;var k=C&&g(r.environment)==x;var L=C?"a":"α";var A=C?"b":"β";var O=r.document||{};var M=r.operamini||r.opera;var _=u.test(_=i&&M?M["[[Class]]"]:g(M))?_:M=null;var D;var P=e;var H=[];var B=null;var j=e==o;var F=j&&M&&typeof M.version=="function"&&M.version();var I;var q=X([{label:"WebKit",pattern:"AppleWebKit"},"iCab","Presto","NetFront","Tasman","Trident","KHTML","Gecko"]);var R=$(["Adobe AIR","Arora","Avant Browser","Breach","Camino","Epiphany","Fennec","Flock","Galeon","GreenBrowser","iCab","Iceweasel",{label:"SRWare Iron",pattern:"Iron"},"K-Meleon","Konqueror","Lunascape","Maxthon","Midori","Nook Browser","PhantomJS","Raven","Rekonq","RockMelt","SeaMonkey",{label:"Silk",pattern:"(?:Cloud9|Silk-Accelerated)"},"Sleipnir","SlimBrowser","Sunrise","Swiftfox","WebPositive","Opera Mini",{label:"Opera Mini",pattern:"OPiOS"},"Opera",{label:"Opera",pattern:"OPR"},"Chrome",{label:"Chrome Mobile",pattern:"(?:CriOS|CrMo)"},{label:"Firefox",pattern:"(?:Firefox|Minefield)"},{label:"IE",pattern:"MSIE"},"Safari"]);var U=K([{label:"BlackBerry",pattern:"BB10"},"BlackBerry",{label:"Galaxy S",pattern:"GT-I9000"},{label:"Galaxy S2",pattern:"GT-I9100"},{label:"Galaxy S3",pattern:"GT-I9300"},{label:"Galaxy S4",pattern:"GT-I9500"},"Google TV","iPad","iPod","iPhone","Kindle",{label:"Kindle Fire",pattern:"(?:Cloud9|Silk-Accelerated)"},"Nook","PlayBook","PlayStation 4","PlayStation 3","PlayStation Vita","TouchPad","Transformer",{label:"Wii U",pattern:"WiiU"},"Wii","Xbox One",{label:"Xbox 360",pattern:"Xbox"},"Xoom"]);var z=V({Apple:{iPad:1,iPhone:1,iPod:1},Amazon:{Kindle:1,"Kindle Fire":1},Asus:{Transformer:1},"Barnes & Noble":{Nook:1},BlackBerry:{PlayBook:1},Google:{"Google TV":1},HP:{TouchPad:1},HTC:{},LG:{},Microsoft:{Xbox:1,"Xbox One":1},Motorola:{Xoom:1},Nintendo:{"Wii U":1,Wii:1},Nokia:{},Samsung:{"Galaxy S":1,"Galaxy S2":1,"Galaxy S3":1,"Galaxy S4":1},Sony:{"PlayStation 4":1,"PlayStation 3":1,"PlayStation Vita":1}});var W=J(["Android","CentOS","Debian","Fedora","FreeBSD","Gentoo","Haiku","Kubuntu","Linux Mint","Red Hat","SuSE","Ubuntu","Xubuntu","Cygwin","Symbian OS","hpwOS","webOS ","webOS","Tablet OS","Linux","Mac OS X","Macintosh","Mac","Windows 98;","Windows "]);q&&(q=[q]);if(z&&!U){U=K([z])}if(D=/\b(Google TV)\b/.exec(U)){U=D[1]}if(/\bSimulator\b/i.test(e)){U=(U?U+" ":"")+"Simulator"}if(R=="Opera Mini"&&/OPiOS/.test(e)){H.push("running in Turbo / Uncompressed mode")}if(/^iP/.test(U)){R||(R="Safari");W="iOS"+((D=/ OS ([\d_]+)/i.exec(e))?" "+D[1].replace(/_/g,"."):"")}else if(R=="Konqueror"&&!/buntu/i.test(W)){W="Kubuntu"}else if(z&&z!="Google"&&(/Chrome/.test(R)&&!/\bMobile Safari\b/i.test(e)||/\bVita\b/.test(U))){R="Android Browser";W=/\bAndroid\b/.test(W)?W:"Android"}else if(!R||(D=!/\bMinefield\b|\(Android;/i.test(e)&&/\b(?:Firefox|Safari)\b/.exec(R))){if(R&&!U&&/[\/,]|^[^(]+?\)/.test(e.slice(e.indexOf(D+"/")+8))){R=null}if((D=U||z||W)&&(U||z||/\b(?:Android|Symbian OS|Tablet OS|webOS)\b/.test(W))){R=/[a-z]+(?: Hat)?/i.exec(/\bAndroid\b/.test(W)?W:D)+" Browser"}}if((D=/\((Mobile|Tablet).*?Firefox/i.exec(e))&&D[1]){W="Firefox OS";if(!U){U=D[1]}}if(!F){F=Q(["(?:Cloud9|CriOS|CrMo|Iron|Opera ?Mini|OPiOS|OPR|Raven|Silk(?!/[\\d.]+$))","Version",b(R),"(?:Firefox|Minefield|NetFront)"])}if(q=="iCab"&&parseFloat(F)>3){q=["WebKit"]}else if(D=/\bOpera\b/.test(R)&&(/\bOPR\b/.test(e)?"Blink":"Presto")||/\b(?:Midori|Nook|Safari)\b/i.test(e)&&"WebKit"||!q&&/\bMSIE\b/i.test(e)&&(W=="Mac OS"?"Tasman":"Trident")){q=[D]}else if(/PlayStation(?! Vita)/i.test(R)&&q=="WebKit"){q=["NetFront"]}if(R!="IE"&&q=="Trident"&&(D=/\brv:([\d.]+)/.exec(e))){if(R){H.push("identifying as "+R+(F?" "+F:""))}R="IE";F=D[1]}if(j){if(y(r,"global")){if(C){D=C.lang.System;P=D.getProperty("os.arch");W=W||D.getProperty("os.name")+" "+D.getProperty("os.version")}if(f&&y(r,"system")&&(D=[r.system])[0]){W||(W=D[0].os||null);try{D[1]=r.require("ringo/engine").version;F=D[1].join(".");R="RingoJS"}catch(Y){if(D[0].global.system==r.system){R="Narwhal"}}}else if(typeof r.process=="object"&&(D=r.process)){R="Node.js";P=D.arch;W=D.platform;F=/[\d.]+/.exec(D.version)[0]}else if(k){R="Rhino"}}else if(g(D=r.runtime)==d){R="Adobe AIR";W=D.flash.system.Capabilities.os}else if(g(D=r.phantom)==N){R="PhantomJS";F=(D=D.version||null)&&D.major+"."+D.minor+"."+D.patch}else if(typeof O.documentMode=="number"&&(D=/\bTrident\/(\d+)/i.exec(e))){F=[F,O.documentMode];if((D=+D[1]+4)!=F[1]){H.push("IE "+F[1]+" mode");q&&(q[1]="");F[1]=D}F=R=="IE"?String(F[1].toFixed(1)):F[0]}W=W&&v(W)}if(F&&(D=/(?:[ab]|dp|pre|[ab]\d+pre)(?:\d+\+?)?$/i.exec(F)||/(?:alpha|beta)(?: ?\d)?/i.exec(e+";"+(j&&s.appMinorVersion))||/\bMinefield\b/i.test(e)&&"a")){B=/b/i.test(D)?"beta":"alpha";F=F.replace(RegExp(D+"\\+?$"),"")+(B=="beta"?A:L)+(/\d+\+?/.exec(D)||"")}if(R=="Fennec"||R=="Firefox"&&/\b(?:Android|Firefox OS)\b/.test(W)){R="Firefox Mobile"}else if(R=="Maxthon"&&F){F=F.replace(/\.[\d.]+/,".x")}else if(R=="Silk"){if(!/\bMobi/i.test(e)){W="Android";H.unshift("desktop mode")}if(/Accelerated *= *true/i.test(e)){H.unshift("accelerated")}}else if(R=="IE"&&(D=(/; *(?:XBLWP|ZuneWP)(\d+)/i.exec(e)||0)[1])){R+=" Mobile";W="Windows Phone OS "+D+".x";H.unshift("desktop mode")}else if(/\bXbox\b/i.test(U)){W=null;if(U=="Xbox 360"&&/\bIEMobile\b/.test(e)){H.unshift("mobile mode")}}else if((R=="Chrome"||R=="IE"||R&&!U&&!/Browser|Mobi/.test(R))&&(W=="Windows CE"||/Mobi/i.test(e))){R+=" Mobile"}else if(R=="IE"&&j&&r.external===null){H.unshift("platform preview")}else if((/\bBlackBerry\b/.test(U)||/\bBB10\b/.test(e))&&(D=(RegExp(U.replace(/ +/g," *")+"/([.\\d]+)","i").exec(e)||0)[1]||F)){D=[D,/BB10/.test(e)];W=(D[1]?(U=null,z="BlackBerry"):"Device Software")+" "+D[0];F=null}else if(this!=m&&U!="Wii"&&(j&&M||/Opera/.test(R)&&/\b(?:MSIE|Firefox)\b/i.test(e)||R=="Firefox"&&/\bOS X (?:\d+\.){2,}/.test(W)||R=="IE"&&(W&&!/^Win/.test(W)&&F>5.5||/\bWindows XP\b/.test(W)&&F>8||F==8&&!/\bTrident\b/.test(e)))&&!u.test(D=S.call(m,e.replace(u,"")+";"))&&D.name){D="ing as "+D.name+((D=D.version)?" "+D:"");if(u.test(R)){if(/\bIE\b/.test(D)&&W=="Mac OS"){W=null}D="identify"+D}else{D="mask"+D;if(_){R=v(_.replace(/([a-z])([A-Z])/g,"$1 $2"))}else{R="Opera"}if(/\bIE\b/.test(D)){W=null}if(!j){F=null}}q=["Presto"];H.push(D)}if(D=(/\bAppleWebKit\/([\d.]+\+?)/i.exec(e)||0)[1]){D=[parseFloat(D.replace(/\.(\d)$/,".0$1")),D];if(R=="Safari"&&D[1].slice(-1)=="+"){R="WebKit Nightly";B="alpha";F=D[1].slice(0,-1)}else if(F==D[1]||F==(D[2]=(/\bSafari\/([\d.]+\+?)/i.exec(e)||0)[1])){F=null}D[1]=(/\bChrome\/([\d.]+)/i.exec(e)||0)[1];if(D[0]==537.36&&D[2]==537.36&&parseFloat(D[1])>=28){q=["Blink"]}if(!j||!l&&!D[1]){q&&(q[1]="like Safari");D=(D=D[0],D<400?1:D<500?2:D<526?3:D<533?4:D<534?"4+":D<535?5:D<537?6:D<538?7:"7")}else{q&&(q[1]="like Chrome");D=D[1]||(D=D[0],D<530?1:D<532?2:D<532.05?3:D<533?4:D<534.03?5:D<534.07?6:D<534.1?7:D<534.13?8:D<534.16?9:D<534.24?10:D<534.3?11:D<535.01?12:D<535.02?"13+":D<535.07?15:D<535.11?16:D<535.19?17:D<536.05?18:D<536.1?19:D<537.01?20:D<537.11?"21+":D<537.13?23:D<537.18?24:D<537.24?25:D<537.36?26:q!="Blink"?"27":"28")}q&&(q[1]+=" "+(D+=typeof D=="number"?".x":/[.+]/.test(D)?"":"+"));if(R=="Safari"&&(!F||parseInt(F)>45)){F=D}}if(R=="Opera"&&(D=/\b(zbov|zvav)$/.exec(W))){R+=" ";H.unshift("desktop mode");if(D[1]=="zvav"){R+="Mini";F=null}else{R+="Mobile"}}else if(R=="Safari"&&/\bChrome\b/.exec(q&&q[1])){H.unshift("desktop mode");R="Chrome Mobile";F=null;if(/\bOS X\b/.test(W)){z="Apple";W="iOS 4.3+"}else{W=null}}if(F&&F.indexOf(D=/[\d.]+$/.exec(W))==0&&e.indexOf("/"+D+"-")>-1){W=E(W.replace(D,""))}if(q&&!/\b(?:Avant|Nook)\b/.test(R)&&(/Browser|Lunascape|Maxthon/.test(R)||/^(?:Adobe|Arora|Breach|Midori|Opera|Phantom|Rekonq|Rock|Sleipnir|Web)/.test(R)&&q[1])){(D=q[q.length-1])&&H.push(D)}if(H.length){H=["("+H.join("; ")+")"]}if(z&&U&&U.indexOf(z)<0){H.push("on "+z)}if(U){H.push((/^on /.test(H[H.length-1])?"":"on ")+U)}if(W){D=/ ([\d.+]+)$/.exec(W);I=D&&W.charAt(W.length-D[0].length-1)=="/";W={architecture:32,family:D&&!I?W.replace(D[0],""):W,version:D?D[1]:null,toString:function(){var e=this.version;return this.family+(e&&!I?" "+e:"")+(this.architecture==64?" 64-bit":"")}}}if((D=/\b(?:AMD|IA|Win|WOW|x86_|x)64\b/i.exec(P))&&!/\bi686\b/i.test(P)){if(W){W.architecture=64;W.family=W.family.replace(RegExp(" *"+D),"")}if(R&&(/\bWOW64\b/i.test(e)||j&&/\w(?:86|32)$/.test(s.cpuClass||s.platform)&&!/\bWin64; x64\b/i.test(e))){H.unshift("32-bit")}}e||(e=null);var Z={};Z.description=e;Z.layout=q&&q[0];Z.manufacturer=z;Z.name=R;Z.prerelease=B;Z.product=U;Z.ua=e;Z.version=R&&F;Z.os=W||{architecture:null,family:null,version:null,toString:function(){return"null"}};Z.parse=S;Z.toString=G;if(Z.version){H.unshift(F)}if(Z.name){H.unshift(R)}if(W&&R&&!(W==String(W).split(" ")[0]&&(W==R.split(" ")[0]||U))){H.push(U?"("+W+")":"on "+W)}if(H.length){Z.description=H.join(" ")}return Z}var e={"function":true,object:true};var t=e[typeof window]&&window||this;var n=t;var r=e[typeof exports]&&exports;var i=e[typeof module]&&module&&!module.nodeType&&module;var s=r&&i&&typeof global=="object"&&global;if(s&&(s.global===s||s.window===s||s.self===s)){t=s}var o=Math.pow(2,53)-1;var u=/\bOpera/;var a=this;var f=Object.prototype;var l=f.hasOwnProperty;var c=f.toString;if(typeof define=="function"&&typeof define.amd=="object"&&define.amd){define(function(){return S()})}else if(r&&i){m(S(),function(e,t){r[t]=e})}else{t.platform=S()}}).call(this)

if(typeof SLINGO == 'undefined') throw new Error('Cannot load plugin');
if(SLINGO.Client)throw new Error('SLINGO.Client already defined');SLINGO.loadJSFile('/jscript/common/AC_RunActiveContent.js');
SLINGO.Client={
	/*
	Copyright (c) Copyright (c) 2007, Carl S. Yestrau All rights reserved.
	Code licensed under the BSD License: http://www.featureblend.com/license.txt
	Version: 1.0.4
	*/
	FlashDetect : new function(){var e=this;e.installed=false;e.raw="";e.major=-1;e.minor=-1;e.revision=-1;e.revisionStr="";var t=[{name:"ShockwaveFlash.ShockwaveFlash.7",version:function(e){return n(e)}},{name:"ShockwaveFlash.ShockwaveFlash.6",version:function(e){var t="6,0,21";try{e.AllowScriptAccess="always";t=n(e)}catch(r){}return t}},{name:"ShockwaveFlash.ShockwaveFlash",version:function(e){return n(e)}}];var n=function(e){var t=-1;try{t=e.GetVariable("$version")}catch(n){}return t};var r=function(e){var t=-1;try{t=new ActiveXObject(e)}catch(n){t={activeXError:true}}return t};var i=function(e){var t=e.split(",");return{raw:e,major:parseInt(t[0].split(" ")[1],10),minor:parseInt(t[1],10),revision:parseInt(t[2],10),revisionStr:t[2]}};var s=function(e){var t=e.split(/ +/);var n=t[2].split(/\./);var r=t[3];return{raw:e,major:parseInt(n[0],10),minor:parseInt(n[1],10),revisionStr:r,revision:o(r)}};var o=function(t){return parseInt(t.replace(/[a-zA-Z]/g,""),10)||e.revision};e.FlashDetect=function(){if(navigator.plugins&&navigator.plugins.length>0){var n="application/x-shockwave-flash";var o=navigator.mimeTypes;if(o&&o[n]&&o[n].enabledPlugin&&o[n].enabledPlugin.description){var u=o[n].enabledPlugin.description;var a=s(u);e.raw=a.raw;e.major=a.major;e.minor=a.minor;e.revisionStr=a.revisionStr;e.revision=a.revision;e.installed=true}}else if(navigator.appVersion.indexOf("Mac")==-1&&window.execScript){var u=-1;for(var f=0;f<t.length&&u==-1;f++){var l=r(t[f].name);if(!l.activeXError){e.installed=true;u=t[f].version(l);if(u!=-1){var a=i(u);e.raw=a.raw;e.major=a.major;e.minor=a.minor;e.revision=a.revision;e.revisionStr=a.revisionStr}}}}}()},
	Info : {},
	xhrCount : 0,
	init: function(){		
		this.Info.agt=navigator.userAgent.toLowerCase();		
		this.Info.browser = platform.name;
		this.Info.browserVersion = parseFloat(platform.version);
		this.Info.appVer = platform.version;
		this.Info.minorVNum = parseFloat(platform.version);
		this.Info.majorVNum = parseInt(this.Info.minorVNum);
		this.Info.platform = platform.os.family;
		this.Info.platformVersion = platform.os.version;

		document.cookie = "cookies=true";
		if(document.cookie)
			this.Info.cookies = true;
		if(navigator.javaEnabled())
			this.Info.javaEnabled = true;
		this.Info.flashEnabled = SLINGO.Client.FlashDetect.installed;
		if(this.Info.flashEnabled) {
			this.Info.flashVersion = SLINGO.Client.FlashDetect.major+"."+SLINGO.Client.FlashDetect.minor+"."+SLINGO.Client.FlashDetect.revision;
		} else
			this.Info.flashVersion = 0;

		if(SLINGO.XHR.isEnabled())
			this.Info.ajaxEnabled = true;
		else 
			this.Info.ajaxEnabled = false;

	   if (window.screen) {
	   		var screen = window.screen;
			this.Info.screenAvailHeight=screen.availHeight;
			this.Info.screenAvailWidth=screen.availWidth;
			this.Info.screenColorDepth=screen.colorDepth;
			this.Info.screenHeight=screen.height;
			this.Info.screenWidth=screen.width;
		}
	},
	renderInfo : function(){
		if(!SLINGO.Client.Info.agt)SLINGO.Client.init();
		var inf = SLINGO.Client.Info;
		var cont = document.createElement('div');
		cont.className = 'browserInfoArea';
		var str = '';
		for(var i in inf){str += '<strong>'+ i + ' :</strong> ' + inf[i] + '<br>';}
		cont.innerHTML = str;
		return cont;
	}
};

SLINGO.Client.init();
/* we don't support ie6 anymore  */
/*if(!SLINGO.getCookie('flgclient')){
	if(SLINGO.Client.Info.browser != 'IE' && document.all && !window.opera && window.XMLHttpRequest)
		SLINGO.setCookie('flgie6', '1');
	SLINGO.setCookie('flgclient', SLINGO.Client.Info.browser + '.MV' + SLINGO.Client.Info.majorVNum);
}*/
SLINGO.transitLoadComplete = true;
