(function($, undefined) {
	$.widget('slingo.achievement', {
		_uniqids: [],
		
		_create: function() {
			$(this.element).insertAfter('theBody');
			$.subscribe('slingo_achievement_unlocked', function(topic, data){
				if (this._uniqids.indexOf(data.uniqid) != -1){
					return false;
				}
				
				this._uniqids.push(data.uniqid);
				$(this.element)			
				.queue(function(qnext){
					//$(this).find('.achievementText').html('Achievement Unlocked');
					$(this).find('.achievementTitle').show();
					$(this).find('.achievementText').html(data.short_description).hide();
					qnext();
				})
				.fadeIn(500)
				.delay(1000)
				.queue(function(qnext){
					//$(this).find('.achievementText').html(data.description);
					$(this).find('.achievementTitle').hide();
					$(this).find('.achievementText').show();
					qnext();
				})
				.delay(1000)
				.fadeOut(500);
			}, this);
			
			$.subscribe('slingo_trophy_room_help', function(topic, data){
				window.open('/faq/achievements', 'achieve_help', 'top=100,left=100,height=600,width=800,toolbar=no,status=no,resizable=no,menubar=no,location=no,scrollbars=yes');
			}, this);
		}
	});
	
	$('.widget-achievement').achievement();
}(jQuery));